<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@drawable/wallet_detail_item_bg"
    android:paddingHorizontal="12dp">

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/tv_title"
        android:layout_width="wrap_content"
        android:layout_height="30dp"
        android:fontFamily="@font/poppins_semibold"
        android:gravity="start|center_vertical"
        android:includeFontPadding="false"
        android:textColor="@color/color_FF1D2129"
        android:textSize="14sp"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        tools:text="充值" />

    <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/iv_currency"
        android:layout_width="12dp"
        android:layout_height="12dp"
        android:layout_marginEnd="2dp"
        app:layout_constraintBottom_toBottomOf="@id/tv_changed"
        app:layout_constraintEnd_toStartOf="@id/tv_changed"
        app:layout_constraintTop_toTopOf="@id/tv_changed"
        app:srcCompat="@drawable/common_wallet_coin_32_ic" />

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/tv_changed"
        android:layout_width="wrap_content"
        android:layout_height="30dp"
        android:fontFamily="@font/poppins_semibold"
        android:gravity="end|center_vertical"
        android:includeFontPadding="false"
        android:textColor="@color/color_FF1D2129"
        android:textSize="14sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        tools:text="+100" />

    <androidx.constraintlayout.widget.Barrier
        android:id="@+id/barrier_top"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        app:barrierDirection="bottom"
        app:constraint_referenced_ids="tv_title, iv_currency, tv_changed" />

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/tv_desc"
        android:layout_width="wrap_content"
        android:layout_height="30dp"
        android:layout_marginTop="4dp"
        android:gravity="start|center_vertical"
        android:includeFontPadding="false"
        android:textColor="@color/color_FF4E5969"
        android:textSize="12sp"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/barrier_top"
        tools:text="通过[支付方式]充值" />

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/tv_time"
        android:layout_width="wrap_content"
        android:layout_height="30dp"
        android:layout_marginTop="4dp"
        android:gravity="start|center_vertical"
        android:includeFontPadding="false"
        android:textColor="@color/color_FF4E5969"
        android:textSize="12sp"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/tv_desc"
        tools:text="08/12/2025 19:00" />


</androidx.constraintlayout.widget.ConstraintLayout>